Bug 920909

Summary: Review Request: gnome-chess - GNOME Chess game
Product: [Fedora] Fedora Reporter: Tanner Doshier <doshitan>
Component: Package ReviewAssignee: Kalev Lember <kalevlember>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: i, kalevlember, mcatanzaro, notting, package-review
Target Milestone: ---Flags: kalevlember: fedora‑review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-12 13:03:37 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Tanner Doshier 2013-03-12 23:30:38 EDT
Spec URL: http://doshitan.com/tmp/gnome-chess/gnome-chess.spec
SRPM URL: http://doshitan.com/tmp/gnome-chess/gnome-chess-3.7.90-1.fc19.src.rpm
Description: This is the GNOME Chess game

rpmlint:
gnome-chess.x86_64: E: incorrect-fsf-address /usr/share/gnome-chess/pieces/fancy/blackBishop.svg
gnome-chess.x86_64: E: incorrect-fsf-address /usr/share/gnome-chess/pieces/fancy/whiteBishop.svg
gnome-chess.x86_64: E: incorrect-fsf-address /usr/share/gnome-chess/pieces/fancy/whiteKnight.svg
gnome-chess.x86_64: E: incorrect-fsf-address /usr/share/doc/gnome-chess-3.7.90/COPYING
gnome-chess.x86_64: E: incorrect-fsf-address /usr/share/gnome-chess/pieces/fancy/blackPawn.svg
gnome-chess.x86_64: E: incorrect-fsf-address /usr/share/gnome-chess/pieces/fancy/blackKing.svg
gnome-chess.x86_64: E: incorrect-fsf-address /usr/share/gnome-chess/pieces/fancy/whiteRook.svg
gnome-chess.x86_64: E: incorrect-fsf-address /usr/share/gnome-chess/pieces/fancy/blackKnight.svg
gnome-chess.x86_64: E: incorrect-fsf-address /usr/share/gnome-chess/pieces/fancy/whitePawn.svg
gnome-chess.x86_64: E: incorrect-fsf-address /usr/share/gnome-chess/pieces/fancy/blackQueen.svg
gnome-chess.x86_64: E: incorrect-fsf-address /usr/share/gnome-chess/pieces/fancy/whiteQueen.svg
gnome-chess.x86_64: E: incorrect-fsf-address /usr/share/gnome-chess/pieces/fancy/blackRook.svg
gnome-chess.x86_64: E: incorrect-fsf-address /usr/share/gnome-chess/pieces/fancy/whiteKing.svg
3 packages and 0 specfiles checked; 13 errors, 0 warnings.
Comment 1 Tanner Doshier 2013-04-02 18:41:07 EDT
3.8.0-1
- Update to 3.8.0

3.7.92-1
- Update to 3.7.92
- Use old desktop file name

Spec URL: http://doshitan.com/tmp/gnome-chess/gnome-chess.spec
SRPM URL: http://doshitan.com/tmp/gnome-chess/gnome-chess-3.8.0-1.fc19.src.rpm
Comment 2 Michael Catanzaro 2013-04-29 13:43:21 EDT
Tanner, could you please add a Requires for gnuchess - I think that's the only engine packaged for Fedora, and gnome-chess is useless without it.
Comment 3 Tanner Doshier 2013-04-30 13:24:45 EDT
Ha, good catch Michael. Added.

3.8.1-1
- Update to 3.8.1
- Add Requires for gnuchess

Spec URL: http://doshitan.com/tmp/gnome-chess/gnome-chess.spec
SRPM URL: http://doshitan.com/tmp/gnome-chess/gnome-chess-3.8.1-1.fc19.src.rpm
Comment 4 Christopher Meng 2013-05-08 12:06:48 EDT
Licensing problem is fixed or not?
Comment 5 Michael Catanzaro 2013-05-08 19:54:23 EDT
(In reply to comment #4)
> Licensing problem is fixed or not?
If you mean incorrect-fsf-address, it's fixed in git master.  As the upstream maintainer I'm happy to pick that fix into 3.8.2 if it's considered significant (though it seems about half of GNOME packages still trigger this warning).
Comment 6 Kalev Lember 2013-05-10 17:36:28 EDT
Taking for review.


Michael: Awesome, thanks for the fix. No, it's not particularly important to have the FSF address updated in the 3.8.2 release; it would clear up a rpmlint warning but it's far from being a blocker here.

But there's another licensing issue that would be really nice to address before importing the package: the code files are missing license headers. There is a COPYING file with the GPL text in the tarball, but if that's all we have, it would mean that the package can be under _any_ GPL version, according to

https://fedoraproject.org/wiki/Licensing:FAQ#How_do_I_figure_out_what_version_of_the_GPL.2FLGPL_my_package_is_under.3F

We've run into the same issue with other split up gnome-games modules as well, but most of them have clearly stated in Help->About that they are licensed under GPLv2+ terms. gnome-chess however does not.

Any chance you could add the license headers, please? http://www.gnu.org/licenses/gpl-howto.html has a howto how to do that.
Comment 7 Tanner Doshier 2013-05-10 17:50:34 EDT
(In reply to comment #6)
It does state GPLv2+ in the documentation[1], but getting it somewhere in the code itself would be nice (since the maintainer is listening (^_^)).

[1]: https://git.gnome.org/browse/gnome-chess/tree/help/C/index.docbook?h=gnome-3-8#n715
Comment 8 Michael Catanzaro 2013-05-11 12:15:04 EDT
Thanks Kalev.

According to the Fedora Licensing FAQ, the GPLv2+ notice buried in the documentation, though not ideal, sufficiently addresses this issue from a Fedora packaging perspective, correct?

I do want to add license headers if possible, but I can't add myself as a copyright holder to most of the files as I haven't significantly modified most of them. Can you advise on the appropriate course of action - would it be proper to say "Copyright <year of modification> The GNOME Chess Developers" or something like that?

The About dialog issue seems separate a bit of a mess; most older GNOME apps have a separate license tab which contains the copyright notice specifying GPLv2+, while most newer ones just use a GtkLicense, which just links to the license.  Chess used to have a License tab, but it was replaced with a GtkLicense two years ago since the About tab needs to be internationalized, but there doesn't seem to be a way to internationalize multi-line strings in Vala[1]. I guess the GtkLicense works well for other projects that do have license notices in the source.

[1]https://bugzilla.gnome.org/show_bug.cgi?id=647090#c2
Comment 9 Kalev Lember 2013-05-11 12:56:53 EDT
(In reply to comment #8)
> According to the Fedora Licensing FAQ, the GPLv2+ notice buried in the
> documentation, though not ideal, sufficiently addresses this issue from a
> Fedora packaging perspective, correct?

I believe so. Good find!


> I do want to add license headers if possible, but I can't add myself as a
> copyright holder to most of the files as I haven't significantly modified
> most of them. Can you advise on the appropriate course of action - would it
> be proper to say "Copyright <year of modification> The GNOME Chess
> Developers" or something like that?

Sounds good to me, but I am not a lawyer. I have seen other prominent projects use a similar construction too though, for example most of Chromium has "Copyright (c) 2012 The Chromium Authors", e.g. http://src.chromium.org/viewvc/chrome/trunk/src/chrome_frame/bho.cc
Comment 10 Kalev Lember 2013-05-11 13:23:51 EDT
Fedora review gnome-chess-3.8.1-1.fc19.src.rpm 2013-05-11

+ OK
! needs attention

+ rpmlint errors are harmless
+ The package is named according to Fedora packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. md5sum:
  4ee672a1a6e5e36b28b9c6c494f096a9  gnome-chess-3.8.1.tar.xz
  4ee672a1a6e5e36b28b9c6c494f096a9  Download/gnome-chess-3.8.1.tar.xz
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
+ The spec file handles locales properly
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all the directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
n/a Static libraries should be in -static
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
+ Packages should not contain libtool .la files
+ Proper .desktop file handling
+ Doesn't own files or directories already owned by other packages
+ Filenames are valid UTF-8

Looks good!

APPROVED
Comment 11 Tanner Doshier 2013-05-11 13:46:21 EDT
New Package SCM Request
=======================
Package Name: gnome-chess
Short Description: Play the classic two-player boardgame of chess
Owners: doshitan
Branches: f19
InitialCC:
Comment 12 Jon Ciesla 2013-05-12 12:09:12 EDT
Git done (by process-git-requests).
Comment 13 Tanner Doshier 2013-05-12 13:03:37 EDT
Built in rawhide and f19.
Comment 14 Tanner Doshier 2013-05-12 13:12:29 EDT
Messed up the cvs flag, clearing it.
Comment 15 Michael Catanzaro 2013-07-07 17:37:29 EDT
For possible historical interest, Robert's added copyright notices to all the sources for the 3.10 release.
Comment 16 Kalev Lember 2013-07-07 17:58:15 EDT
Perfect, thanks!